View Issue Details

IDProjectCategoryView StatusLast Update
0004105SketcherBugpublic2020-06-05 17:23
Reporterchrisb Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004105: Automated changing of coincidence+line/line tangency with auto remove redundants can remove the wrong constraints
DescriptionCoincidence+line/line tangency is known to be unstable and is automatically replaced by the semantically equivalent point/point tangency.
This can interfere with auto remove redundants as shown in the examples in the corresponding forum discussion.

This could be repaired by first applying the replacement mechanism, and afterwards removal of further redundants.

If Auto remove is off everthing works as expected.
TagsNo tags attached.
FreeCAD Information

Activities

abdullah

2020-05-28 17:38

manager   ~0014434

PR:
https://github.com/FreeCAD/FreeCAD/pull/3521

abdullah

2020-05-29 12:23

manager   ~0014435

git commit 08854bcc717b89fe437b671edc2098c603ff5dec

abdullah

2020-06-05 17:23

manager   ~0014480

Fix committed to master branch.

Related Changesets

FreeCAD: master 08854bcc

2020-05-28 17:34:15

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Fix for failure of constraint substitution

====================================================

fixes 0004105

When a constraint substitution is present, a solve must precede any call to the redundant removal to update the solver information.
Affected Issues
0004105
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2019-08-31 19:58 chrisb New Issue
2019-08-31 19:58 chrisb Status new => assigned
2019-08-31 19:58 chrisb Assigned To => abdullah
2019-08-31 21:49 Kunda1 Description Updated View Revisions
2020-05-28 17:38 abdullah Note Added: 0014434
2020-05-29 12:23 abdullah Status assigned => closed
2020-05-29 12:23 abdullah Resolution open => fixed
2020-05-29 12:23 abdullah Fixed in Version => 0.19
2020-05-29 12:23 abdullah Note Added: 0014435
2020-06-05 17:23 abdullah Changeset attached => FreeCAD master 08854bcc
2020-06-05 17:23 abdullah Note Added: 0014480